Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2188982 - pytest self-testing fails with setuptools >= 67.5.0
Summary: pytest self-testing fails with setuptools >= 67.5.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pytest
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-04-23 23:26 UTC by Charalampos Stratakis
Modified: 2023-04-25 10:07 UTC (History)
4 users (show)

Fixed In Version: pytest-7.3.1-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-25 10:07:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pytest-dev pytest issues 10815 0 None open self-tests failure against setuptools 67.5.0 2023-04-23 23:26:32 UTC
Github pytest-dev pytest pull 10938 0 None open Filter new pkg_resources deprecations 2023-04-24 08:33:55 UTC

Description Charalampos Stratakis 2023-04-23 23:26:13 UTC
The latest setuptools emits a deprecation warning for pkg_resources.

This makes pytest's TestInvocationVariants.test_cmdline_python_namespace_package to fail with:

E       Failed: nomatch: 'test_hello.py::test_hello*PASSED*'
E           and: '============================= test session starts =============================='
E           and: 'platform linux -- Python 3.11.3, pytest-7.3.1, pluggy-1.0.0 -- /usr/bin/python3'
E           and: 'cachedir: .pytest_cache'
E           and: 'rootdir: /tmp/pytest-of-mockbuild/pytest-1/popen-gw8/test_cmdline_python_namespace_package0/world'
E           and: 'collecting ... collected 4 items'
E           and: ''
E       fnmatch: 'test_hello.py::test_hello*PASSED*'
E          with: 'test_hello.py::test_hello PASSED                                         [ 25%]'
E       fnmatch: 'test_hello.py::test_other*PASSED*'
E          with: 'test_hello.py::test_other PASSED                                         [ 50%]'
E       fnmatch: 'ns_pkg/world/test_world.py::test_world*PASSED*'
E          with: 'ns_pkg/world/test_world.py::test_world PASSED                            [ 75%]'
E       fnmatch: 'ns_pkg/world/test_world.py::test_other*PASSED*'
E          with: 'ns_pkg/world/test_world.py::test_other PASSED                            [100%]'
E       nomatch: '*4 passed in*'
E           and: ''
E           and: '=============================== warnings summary ==============================='
E           and: '../../../../../../usr/lib/python3.11/site-packages/pkg_resources/__init__.py:121'
E           and: '  /usr/lib/python3.11/site-packages/pkg_resources/__init__.py:121: DeprecationWarning: pkg_resources is deprecated as an API'
E           and: '    warnings.warn("pkg_resources is deprecated as an API", DeprecationWarning)'
E           and: ''
E           and: '-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html'
E           and: '========================= 4 passed, 1 warning in 0.11s ========================='
E       remains unmatched: '*4 passed in*'

/builddir/build/BUILD/pytest-7.3.1/testing/acceptance_test.py:705: Failed

Reproducible: Always

Steps to Reproduce:
Build the package in rawhide

Comment 1 Miro Hrončok 2023-04-24 08:33:55 UTC
Upstream PR: https://github.com/pytest-dev/pytest/pull/10938

Comment 2 Fedora Update System 2023-04-25 10:04:57 UTC
FEDORA-2023-6a8e8fa897 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6a8e8fa897

Comment 3 Fedora Update System 2023-04-25 10:07:14 UTC
FEDORA-2023-6a8e8fa897 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.